require_relative "error"

module Speller
	class SpellError

		attr_reader :code, :pos, :row, :col, :len, :word, :s

		SPELL_ERROR_CODE = "code"
		SPELL_ERROR_POS  = "pos"
		SPELL_ERROR_ROW  = "row"
		SPELL_ERROR_COL  = "col"
		SPELL_ERROR_LEN  = "len"
		SPELL_ERROR_WORD = "word"
		SPELL_ERROR_S    = "s"

		def initialize spell
			@code = spell[SPELL_ERROR_CODE]
			@pos  = spell[SPELL_ERROR_POS]
			@row  = spell[SPELL_ERROR_ROW]
			@col  = spell[SPELL_ERROR_COL]
			@len  = spell[SPELL_ERROR_LEN]
			@word = spell[SPELL_ERROR_WORD]
			@s    = spell[SPELL_ERROR_S]
		end

		def error_description
			Speller::Error.all[@code]
		end

	end
end


